Restore the Folder
Restores a deleted folder for a specific advertiser.
URL: PUT /api/v1/folders/restore
Note: A folder can be restored only within 7 days of deletion.
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| advertiserId | integer | Yes | The ID of the specific advertiser. |
| folderId | string | Yes | The ID of the folder to be restored. |
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
Authorization | The token will provide you the access to the API. It is same for all advertisers you access through the API. | Y | Please utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide |
Content-Type | Format of the message body | Y | application/json |
WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Please use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
WM_SEC.AUTH_SIGNATURE | Auth signature as an API key. | Y | Use the signature generator code from Getting Started Guide to generate this value |
WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code from Getting Started Guide to generate this value |
Sample Request
curl -X PUT \
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/folders/restore' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: <consumer_id>' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 123, "folderId": "65822500-382a-11ec-9b0d-0242c0a8f002" }'Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | The response code can have following values:success, failureClick here for more information about Status Codes and Errors | Y | string | success, failure |
| folderId | ID of the folder Only returned when code=success | string | ||
| details | List of error codes associated with the request. Use these codes for programmatic error handling. | N | array | Refer to this link for detailed error messages |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors array object details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response
[ { "code": "success", "details": ["SUCCESS"], "folderId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" }
]Sample Response - Failure
[ { "code": "failure", "details": [ "string" ], "message": "string",
"errors": [ { "field": "string", "errorType": "string", "description": "string" } ] }
]Updated 9 days ago
Did this page help you?
